Support » Plugin: WP Google Maps » This page can’t load Google Maps correctly

  • Resolved insightdes

    (@insightdes)


    Hi Folks,

    Today, our development site with a valid Google Maps API key displays an error:

    “This page can’t load Google Maps correctly”:

    https://imgur.com/a/ShMH7mK

    Why do I receive a message “for development purposes only” when the API key is valid?

    Thanks,
    Steve

    • This topic was modified 2 years, 1 month ago by insightdes.

    The page I need help with: [log in to see the link]

Viewing 4 replies - 31 through 34 (of 34 total)
  • Plugin Contributor perryrylance

    (@perryrylance)

    Hi there

    Thank you for getting in touch, sorry to hear you are experiencing issues.

    There is no fee to use our plugin, however you do need to set up a Google API Project and obtain a Google API key if you don’t have one already. This does involve setting up billing for the key, as Google now charge for use of their JavaScript API – however, they provide $200 / month in free requests which is more than enough for virtually all use cases.

    You can also set up limits on your quota so that you never exceed your free quota.

    If you could link us to your site then we can tell you more, however billing not being correctly setup is the cause of this issue in most cases, so we recommend you check that first.

    Alternatively, you could switch to the OpenLayers engine in Maps -> Settings.

    Does that help?

    Kind regards
    – Perry

    I am getting the message

    this page can’t load google maps correctly on my wp website.

    I have got the api but hadn’t completed the billing

    Is it necessary to complete billing to remove this error??

    Plugin Contributor perryrylance

    (@perryrylance)

    Hi there

    Thank you for getting in touch.

    I’m afraid it is necessary to set in billing information to use the API.

    You can set up your limits and quotas in such a way that no money will actually change hands – the $200.00 / month free credit is more than enough for practically all use cases, however you do need to set in valid billing details to use the API.

    I hope that helps.

    Kind regards
    – Perry

    I would like to pick up this topic because I am facing the same problem.

    In the settings page I entered the API key, which was working fine with another Maps plugin.

    However, when I add a map with this plugin to a blogpost, I see the error message in the console saying

    js:59 You are using this API without a key. See https://developers.google.com/maps/documentation/javascript/error-messages?utm_source=maps_js&utm_medium=degraded&utm_campaign=billing#api-key-and-billing-errors
    _.wd @ js:59

    To me this sounds like the plugin does not send the API key to the Google API at all.

    I’ve even tried creating a new API key, but no change.

Viewing 4 replies - 31 through 34 (of 34 total)
  • The topic ‘This page can’t load Google Maps correctly’ is closed to new replies.